org.apache.ignite.internal.managers.deployment.protocol.gg

## Class GridUrlConnection

- java.lang.Object
- - java.net.URLConnection
  - - org.apache.ignite.internal.managers.deployment.protocol.gg.GridUrlConnection

    public class GridUrlConnection
    extends URLConnection

Connection implementation for custom protocol.

### Field Summary

### Fields inherited from class java.net.URLConnection

`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

### Constructor Summary

Constructors
Constructor and Description
`GridUrlConnection(URL url, GridDeploymentManager mgr)` Creates connection.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `connect()`
`InputStream` `getInputStream()`

### Methods inherited from class java.net.URLConnection

`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentLengthLong, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFieldLong, getHeaderFields, getIfModifiedSince, getLastModified, getOutputStream, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridUrlConnection

    public GridUrlConnection(URL url,
                             GridDeploymentManager mgr)

Creates connection.

Parameters:
  `url` - Specified URL.
  `mgr` - Deployment manager.

### Method Detail

#### connect

    public void connect()
                 throws IOException

Specified by:
  `connect` in class `URLConnection`
Throws:
  `IOException`

#### getInputStream

    public InputStream getInputStream()
                               throws IOException

Overrides:
  `getInputStream` in class `URLConnection`
Throws:
  `IOException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018